/* Most usual classes */

/* th, td.KT_th
 * 		the top row on nextensio list
 * 		labels container on nextensio form
 * 		As on the form table headings are semantically incorrect, we have td.KT_th */
.KT_tngtable th, .KT_tngtable td.KT_th {
	border: 0px solid #ffffff;
	font-weight: normal;
	vertical-align: top;
	border-right-color: #FFF;
}
/* the plain cells   */
.KT_tngtable td {
	border-top-width: 1px;
	border-top-style: dotted;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	border-top-color: #999;
}


/* *
 * recommmended css attribute order
	* layout:            display, list-style
	* box positioning:   position, float, clear
	* box position:      top, right, bottom, left
	* box clipping:      overflow, clip
	* box size:          width, height
	* box style:         margin, padding, border, background
	* text:              color, font, text-decoration, text-transform
	* text positioning:  text-align, vertical-align
	* other text:        white-space, ...
 * */

/* Table and cell look and feel */
	.KT_tngtable {
	border: solid 0px #000000;
}
	.KT_tngtable tr:nth-child(even) {
	background: #F3F3F3
	}
	.KT_tngtable tr:nth-child(odd) {
	
	}
	.KT_tngtable tfoot, .KT_tngtable thead {
	border: solid 0px #000000;
	}
	.KT_tngtable td, .KT_tngtable th, .KT_tngtable caption {
	padding-top: 2px;
	padding-right: 2px;
	padding-bottom: 2px;
	padding-left: 2px;
	}
	/* HACK: to make ktml3 skin work properly */
	.KT_tngtable .ktml * td {
		border: 0px;
		white-space: normal ! important;
	}
		.KT_tngtable .ktml span.lcontainer table {
		}
		.KT_tngtable .ktml span.lcontainer td {
			padding: 0px ! important;
			margin: 0px ! important;
			vertical-align: middle;
		}

/* Buttons area for tNG form */
.KT_buttons td {
	border-top: solid 1px #000000;
	padding: 4px;
	text-align: left;
}
.KT_buttons {
	border-top: solid 1px #000000;
	padding: 4px;
	text-align: left;
	background-color: #CCC;
	width: 740px;
}

/* Fonts for the table, table headings, table cells */
	.KT_tngtable td, .KT_tngtable th, .KT_tngtable caption {
	font-family: Arial, Helvetica, sans-serif;
	line-height: 22px;
	}
	.KT_tngtable th, .KT_tngtable td.KT_th, .KT_tngtable caption {
	font-size: 14px;
	font-weight: bold;
	border-top-width: 1px;
	border-top-style: dotted;
	border-top-color: #999;	
	}
	.KT_tngtable td {
	font-size: 11px;
	font-family: Arial, Helvetica, sans-serif;

	}

/* Active Form Elements :font-sizes */
	.KT_tngtable input, .KT_tngtable select {
	font-family:Tahoma, Geneva, sans-serif;
	font-size: 12px;
	height: 24px;
	vertical-align: middle;

	}

	.KT_tngtable textarea {
	font-size: 14px;
	}
	label.error {
	color: #cc0000;
	font-size: 14px;
	font-weight: normal;
	background-color: #FFF2DF;
	display: block;
	float: left;
	}

/* Special items : error containers, field hints, required table cell  */
	.KT_field_error  {
	color: #cc0000;
	font-size: 14px;
	font-weight: normal;
	background-color: #FFF2DF;
	}
	.KT_field_hint {
	color:#0000cc;
	font-size: 11px;
	font-family: Tahoma, Geneva, sans-serif;
	vertical-align: top;
	}
	.KT_tngtable td.KT_required {
	}
	/* span containing the "*" for required field labels */
	.KT_tngtable label span.KT_required {
	padding: 0 2px;
	color: #cc0000;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: normal;
	
	}


/* The client-side error displaying */

	/* How the label should change on error */
	.form_validation_field_error_label {
		/* color:#cc0000; */
	}

	/* How the input's container (TD) should change on error */
	.form_validation_field_error_container {
		/* border: 2px solid black; */
	}

	/* How the input textfield should change on error */
	.form_validation_field_error_text {
		/* border:2px solid #cc0000; */
	}
	

	/* The actial error message style */
	.form_validation_field_error_error_message{
	color:#930000;
	font-weight: bold;
	clear:none;
	font-size: 12px;
	background-color: #FFFBC4;
	height: 25px;
	line-height: 22px;
	font-family: Arial, Helvetica, sans-serif;
	text-indent: 5;
	/*border: 1px solid #C00; */
	display: block;
	/*float: left; */
	}
	form.form_validation_form_error table {
		border: 2px solid red;
	}

/* The server-side error displaying */
/* topmost error div */
#KT_tngerror {
	padding: 5px 10px 5px 50px;
	margin:5px;
	font-family:Tahoma, Geneva, sans-serif;
	font-weight:normal;
	color: #CC0000;
	font-size: 12px;
	border:1px solid red;
	background-color:#FFFFE4;
	background-image:url(images/error.gif);
	background-repeat:no-repeat;
	background-position:left;
}

/* trace container ( iniitally collapsed), and "Submit this to InterAKT... " area */
#KT_tngdeverror, #KT_tngtrace {
	padding: 5px 10px 5px 5px;
	margin:5px;
	border:1px solid black;
	font-family:Courier, sans-serif;
	font-size: 12px;
	background-color:#FFCACB;
}

	/* alignment and borders for the form submit buttons */
	#KT_tngdeverror #KT_needhelp {
		text-align: right;
	}

	#KT_tngdeverror label, #KT_tngtrace label {
		display: block;
		font-family:Verdana, Arial, Helvetica, sans-serif;
		font-weight:bold;
	}

	#KT_tngtrace ul {
		padding-left:10px;
		margin-left:10px;
	}

	#KT_tngtrace_details {
		display: none;
	}

#KT_tngwarning {
	padding: 10px 10px 10px 50px;
	margin:5px;
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-weight:bold;
	color: #0000CC;
	font-size: 12px;
	border:1px solid blue;
	background-color:#E4FFFF;
	background-image:url(images/warning.gif) ;
	background-repeat:no-repeat;
	background-position:left;
}